<?
/*
*******************************
 IP-SYMCON Event Scripting
*******************************
File     : FHT_MODUL.ips.php
Trigger  : 
Interval : 
*/
// --- Execute Automatic only when Window closed and Mode = Automatic ----------
if (($FHT_actual_window == False) AND ($FHT_target_mode == 0))
     {
      include_once('GLOBAL_ARRAYS.ips.php');
      $time = date("H:i");
      $day = date("w");

// Script will only be executed when:
//   1. the window in the room is closed
//   2. the FHT is on Automatic

//   Define the actual day/parameters to choose
     switch ($day)
             {
              case 0 : $day = 'SUNDAY';
                       break;
              case 1 : $day = 'MONDAY';
                       break;
              case 2 : $day = 'TUESDAY';
                       break;
              case 3 : $day = 'WEDNESDAY';
                       break;
              case 4 : $day = 'THURSDAY';
                       break;
              case 5 : $day = 'FRIDAY';
                       break;
              case 6 : $day = 'SATURDAY';
                       break;
             }

//   Select the Parameters for FHT

        if ($room_status == False) $data = GetValueString($room.'_FHT_NPAR_'.$day);
        else                       $data = GetValueString($room.'_FHT_HPAR_'.$day);

//   Find the right parameter to adjust the target if necessary

//   Execute ---------------------------------------------------------------------
     $line = explode("\r\n", $data);

     for($i=0; $i<=9; $i++)
         {
          $parameter[$i] = explode(";", $line[$i]);
          $extract_data = $parameter[$i];
          $switchtime = $extract_data[0];      // time
          $switchtemp = $extract_data[1];      // temp

          if ($switchtime != 'n/u') // ignore the 'not used' lines
              {
               if ($time >= $switchtime) $newtemp = $switchtemp;
              }

          }

//   if not matching time will be found, because table is empty, or the actual
//   time is still earlier than the first Setpoint-time, so keep last recorded
//   Memotemp in memory

     if (!isset($newtemp)) $newtemp = $memo_temp;

//   When Value changes -> Send the new Value to the Unit
     if ($memo_temp != $newtemp)
         {
          FHT_SetTemperature($FHT_id, (float)$newtemp);
          SetValueFloat($room.'_FHT_MEMO_TEMP', (float)$newtemp);
          IPS_LogMessage($room, 'New Value transmitted to FHT -> '.$newtemp.' Deg. C');
         }


// If Actual and Target Values dont match - Manually changed on FHT
        else
        if ($FHT_target_temp != $memo_temp)
            {

             // If IPS Request has been updated recently, but IPS Request
             // has not been sent yet to FHT, don't send Value again
             // But if Target has been changed manually, the Value will
             // be sent again
             $update_ips_request = IPS_GetUpdateTime($room.'_FHT_IPS_TEMP');
             $update_ips_target  = IPS_GetUpdateTime($room.'_FHT_TARGET_TEMP');
             if ($update_ips_target > $update_ips_request)
                 {
                  IPS_LogMessage($room, ': Wrong Target Temp. according to Parameters ('.$FHT_target_temp.' C)');
                  FHT_SetTemperature($FHT_id, (float)$newtemp);
                 }
            }



     }
?>
